/// <reference types="express" />
import { AnyObject } from '@loopback/repository';
import { Request, Response } from '@loopback/rest';
import { ILogger } from '@sourceloop/core';
import { AuthCodeGeneratorFn } from '../../providers/types';
import { AuthClientRepository } from '../../repositories';
import { AuthUser } from './models/auth-user.model';
import { ClientAuthRequest } from './models/client-auth-request.dto';
export declare class SamlLoginController {
    authClientRepository: AuthClientRepository;
    logger: ILogger;
    private readonly getAuthCode;
    constructor(authClientRepository: AuthClientRepository, logger: ILogger, getAuthCode: AuthCodeGeneratorFn);
    postLoginViaSaml(clientCreds?: ClientAuthRequest): Promise<void>;
    oktaSamlCallback(user: AuthUser | undefined, request: Request, clientId: string, response: Response, oktaData: AnyObject): Promise<void>;
}
