import { Getter } from '@loopback/core';
import { BelongsToAccessor } from '@loopback/repository';
import { SequelizeDataSource } from '@loopback/sequelize';
import { IAuthUserWithPermissions } from '@sourceloop/core';
import { SequelizeUserModifyCrudRepository } from '@sourceloop/core/sequelize';
import { UserLevelPermission, UserTenant } from '../..';
import { UserTenantRepository } from '../user-tenant.repository';
export declare class UserLevelPermissionRepository extends SequelizeUserModifyCrudRepository<UserLevelPermission, typeof UserLevelPermission.prototype.id> {
    protected readonly getCurrentUser: Getter<IAuthUserWithPermissions | undefined>;
    protected userTenantRepositoryGetter: Getter<UserTenantRepository>;
    readonly userTenant: BelongsToAccessor<UserTenant, typeof UserLevelPermission.prototype.id>;
    constructor(dataSource: SequelizeDataSource, getCurrentUser: Getter<IAuthUserWithPermissions | undefined>, userTenantRepositoryGetter: Getter<UserTenantRepository>);
}
